Package com.mapd.thrift.server

## Class TServerStatus

- java.lang.Object
- - com.mapd.thrift.server.TServerStatus

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TServerStatus>`, `org.apache.thrift.TBase<TServerStatus,​TServerStatus._Fields>`, `org.apache.thrift.TSerializable`

    public class TServerStatus
    extends Object
    implements org.apache.thrift.TBase<TServerStatus,​TServerStatus._Fields>, Serializable, Cloneable, Comparable<TServerStatus>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TServerStatus._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `edition`
`String` `host_name`
`static Map<TServerStatus._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`boolean` `poly_rendering_enabled`
`boolean` `read_only`
`boolean` `rendering_enabled`
`TRole` `role`
`long` `start_time`
`String` `version`

### Constructor Summary

Constructors
`TServerStatus()`
`TServerStatus​(boolean read_only, String version, boolean rendering_enabled, long start_time, String edition, String host_name, boolean poly_rendering_enabled, TRole role)`
`TServerStatus​(TServerStatus other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TServerStatus other)`
`TServerStatus` `deepCopy()`
`boolean` `equals​(TServerStatus that)`
`boolean` `equals​(Object that)`
`TServerStatus._Fields` `fieldForId​(int fieldId)`
`String` `getEdition()`
`Object` `getFieldValue​(TServerStatus._Fields field)`
`String` `getHost_name()`
`TRole` `getRole()`
`long` `getStart_time()`
`String` `getVersion()`
`int` `hashCode()`
`boolean` `isPoly_rendering_enabled()`
`boolean` `isRead_only()`
`boolean` `isRendering_enabled()`
`boolean` `isSet​(TServerStatus._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetEdition()` Returns true if field edition is set (has been assigned a value) and false otherwise
`boolean` `isSetHost_name()` Returns true if field host_name is set (has been assigned a value) and false otherwise
`boolean` `isSetPoly_rendering_enabled()` Returns true if field poly_rendering_enabled is set (has been assigned a value) and false otherwise
`boolean` `isSetRead_only()` Returns true if field read_only is set (has been assigned a value) and false otherwise
`boolean` `isSetRendering_enabled()` Returns true if field rendering_enabled is set (has been assigned a value) and false otherwise
`boolean` `isSetRole()` Returns true if field role is set (has been assigned a value) and false otherwise
`boolean` `isSetStart_time()` Returns true if field start_time is set (has been assigned a value) and false otherwise
`boolean` `isSetVersion()` Returns true if field version is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TServerStatus` `setEdition​(String edition)`
`void` `setEditionIsSet​(boolean value)`
`void` `setFieldValue​(TServerStatus._Fields field, Object value)`
`TServerStatus` `setHost_name​(String host_name)`
`void` `setHost_nameIsSet​(boolean value)`
`TServerStatus` `setPoly_rendering_enabled​(boolean poly_rendering_enabled)`
`void` `setPoly_rendering_enabledIsSet​(boolean value)`
`TServerStatus` `setRead_only​(boolean read_only)`
`void` `setRead_onlyIsSet​(boolean value)`
`TServerStatus` `setRendering_enabled​(boolean rendering_enabled)`
`void` `setRendering_enabledIsSet​(boolean value)`
`TServerStatus` `setRole​(TRole role)`
`void` `setRoleIsSet​(boolean value)`
`TServerStatus` `setStart_time​(long start_time)`
`void` `setStart_timeIsSet​(boolean value)`
`TServerStatus` `setVersion​(String version)`
`void` `setVersionIsSet​(boolean value)`
`String` `toString()`
`void` `unsetEdition()`
`void` `unsetHost_name()`
`void` `unsetPoly_rendering_enabled()`
`void` `unsetRead_only()`
`void` `unsetRendering_enabled()`
`void` `unsetRole()`
`void` `unsetStart_time()`
`void` `unsetVersion()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### read_only

    public boolean read_only

#### version

    public String version

#### rendering_enabled

    public boolean rendering_enabled

#### start_time

    public long start_time

#### edition

    public String edition

#### host_name

    public String host_name

#### poly_rendering_enabled

    public boolean poly_rendering_enabled

#### role

    public TRole role

See Also:
  `TRole`

#### metaDataMap

    public static final Map<TServerStatus._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TServerStatus

    public TServerStatus()

#### TServerStatus

    public TServerStatus​(boolean read_only,
                         String version,
                         boolean rendering_enabled,
                         long start_time,
                         String edition,
                         String host_name,
                         boolean poly_rendering_enabled,
                         TRole role)

#### TServerStatus

    public TServerStatus​(TServerStatus other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TServerStatus deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TServerStatus,​TServerStatus._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TServerStatus,​TServerStatus._Fields>`

#### isRead_only

    public boolean isRead_only()

#### setRead_only

    public TServerStatus setRead_only​(boolean read_only)

#### unsetRead_only

    public void unsetRead_only()

#### isSetRead_only

    public boolean isSetRead_only()

Returns true if field read_only is set (has been assigned a value) and false otherwise

#### setRead_onlyIsSet

    public void setRead_onlyIsSet​(boolean value)

#### getVersion

    public String getVersion()

#### setVersion

    public TServerStatus setVersion​(String version)

#### unsetVersion

    public void unsetVersion()

#### isSetVersion

    public boolean isSetVersion()

Returns true if field version is set (has been assigned a value) and false otherwise

#### setVersionIsSet

    public void setVersionIsSet​(boolean value)

#### isRendering_enabled

    public boolean isRendering_enabled()

#### setRendering_enabled

    public TServerStatus setRendering_enabled​(boolean rendering_enabled)

#### unsetRendering_enabled

    public void unsetRendering_enabled()

#### isSetRendering_enabled

    public boolean isSetRendering_enabled()

Returns true if field rendering_enabled is set (has been assigned a value) and false otherwise

#### setRendering_enabledIsSet

    public void setRendering_enabledIsSet​(boolean value)

#### getStart_time

    public long getStart_time()

#### setStart_time

    public TServerStatus setStart_time​(long start_time)

#### unsetStart_time

    public void unsetStart_time()

#### isSetStart_time

    public boolean isSetStart_time()

Returns true if field start_time is set (has been assigned a value) and false otherwise

#### setStart_timeIsSet

    public void setStart_timeIsSet​(boolean value)

#### getEdition

    public String getEdition()

#### setEdition

    public TServerStatus setEdition​(String edition)

#### unsetEdition

    public void unsetEdition()

#### isSetEdition

    public boolean isSetEdition()

Returns true if field edition is set (has been assigned a value) and false otherwise

#### setEditionIsSet

    public void setEditionIsSet​(boolean value)

#### getHost_name

    public String getHost_name()

#### setHost_name

    public TServerStatus setHost_name​(String host_name)

#### unsetHost_name

    public void unsetHost_name()

#### isSetHost_name

    public boolean isSetHost_name()

Returns true if field host_name is set (has been assigned a value) and false otherwise

#### setHost_nameIsSet

    public void setHost_nameIsSet​(boolean value)

#### isPoly_rendering_enabled

    public boolean isPoly_rendering_enabled()

#### setPoly_rendering_enabled

    public TServerStatus setPoly_rendering_enabled​(boolean poly_rendering_enabled)

#### unsetPoly_rendering_enabled

    public void unsetPoly_rendering_enabled()

#### isSetPoly_rendering_enabled

    public boolean isSetPoly_rendering_enabled()

Returns true if field poly_rendering_enabled is set (has been assigned a value) and false otherwise

#### setPoly_rendering_enabledIsSet

    public void setPoly_rendering_enabledIsSet​(boolean value)

#### getRole

    public TRole getRole()

See Also:
  `TRole`

#### setRole

    public TServerStatus setRole​(TRole role)

See Also:
  `TRole`

#### unsetRole

    public void unsetRole()

#### isSetRole

    public boolean isSetRole()

Returns true if field role is set (has been assigned a value) and false otherwise

#### setRoleIsSet

    public void setRoleIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TServerStatus._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TServerStatus,​TServerStatus._Fields>`

#### getFieldValue

    public Object getFieldValue​(TServerStatus._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TServerStatus,​TServerStatus._Fields>`

#### isSet

    public boolean isSet​(TServerStatus._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TServerStatus,​TServerStatus._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TServerStatus that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TServerStatus other)

Specified by:
  `compareTo` in interface `Comparable<TServerStatus>`

#### fieldForId

    public TServerStatus._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TServerStatus,​TServerStatus._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`